{% extends 'base.html' %}
{% load static %}
{% load humanize %}

{% block messages %}
{% if messages %}
{% for message in messages %}
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-8">
            {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
            <div class="alert alert-danger" role="alert">
                {{message|safe}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% elif message.level == DEFAULT_MESSAGE_LEVELS.INFO %}
            <div class="alert alert-info" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% else %}
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% endif %}
        </div>
    </div>
</div>
{% endfor %}
{% endif %}
{% endblock %}

{% block body %}
<div class="container">
    <div class="row" style="margin-bottom:10px;">
        <div class="col-12 col-md-6">
            <h3>Pedido {{pedido.Id}} > {{producto.Nombre}} <span class="font-weight-bold"
                    style="color: darkorange;">({{detalle_pedido.Toneladas}} Toneladas)</span></h3>
        </div>
        <div class="col-12 col-md-6 text-md-right">
            <a href="{% url 'pedido_ejecutivo' id_pedido=pedido.Id%}" class="btn btn-success">Volver</a>
        </div>
        <div class="col-12">
            <hr>
        </div>
    </div>

    <div class="row">
        <div class="col-12">

            <h3>Ofertas disponibles</h3>
            <div class="card">
                <div class="card-body">

                    {% if detalle_pedido.Ofertas %}
                    <table class="table">
                        <tr>
                            <th>Productor</th>
                            <th>Toneladas</th>
                            <th>Precio tonelada</th>
                            <th>Subtotal</th>
                            <th>Acciones</th>
                        </tr>
                        {% for i in detalle_pedido.Ofertas %}
                        <tr {% if i.Escogida %} style="background-color: rgb(215, 255, 215);" {%endif %}>
                            <td>{{i.Productor.Nombre}} {{i.Productor.Apellido}}</td>
                            <td>{{i.Toneladas}}</td>
                            <td>US$ {{i.Precio|intcomma}}</td>
                            <td>US$ {{i.TotalOferta|intcomma}}</td>
                            <td>
                                {% if not detalle_pedido.SeHaEscogidoOferta %}
                                <form action="{% url 'escoger_oferta' %}" method="post">
                                    {% csrf_token %}
                                    <input type="hidden" name="id_pedido" value="{{i.IdPedido}}">
                                    <input type="hidden" name="id_producto" value="{{i.IdProducto}}">
                                    <input type="hidden" name="id_calidad" value="{{i.IdCalidad}}">
                                    <input type="hidden" name="id_productor" value="{{i.Productor.Id}}">
                                    <input type="hidden" name="toneladas" value="{{i.Toneladas}}">
                                    <input type="submit" value="Escoger oferta" class="btn btn-sm btn-success">
                                </form>
                                {% else %}
                                -
                                {% endif %}
                            </td>
                        </tr>
                        {% endfor %}
                    </table>
                    {% else %}
                    <h4>Actualmente no existen ofertas de este producto.</h4>
                    {% endif %}
                </div>
            </div>
        </div>
        <div class="col-12 text-right">
        </div>
        <div class="col-12">
            <!--<a href="#" class="btn btn-success">Confirmar selección</a>-->
        </div>
    </div>


</div>
{% endblock %}